Package org.apache.aries.jax.rs.rest.management.internal

## Class BaseResource

- java.lang.Object
- - org.apache.aries.jax.rs.rest.management.internal.BaseResource

Direct Known Subclasses:
  `ExtensionResource`, `FrameworkBundleHeaderResource`, `FrameworkBundleResource`, `FrameworkBundlesRepresentationsResource`, `FrameworkBundlesResource`, `FrameworkBundleStartLevelResource`, `FrameworkBundleStateResource`, `FrameworkResource`, `FrameworkServiceResource`, `FrameworkServicesRepresentationsResource`, `FrameworkServicesResource`, `FrameworkStartLevelResource`, `FrameworkStateResource`

    public abstract class BaseResource
    extends Object

### Constructor Summary

Constructors
`BaseResource​(org.osgi.framework.BundleContext bundleContext)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BaseResource

    public BaseResource​(org.osgi.framework.BundleContext bundleContext)